Get access details.
curl --request GET \
--url https://api.hebbianrobotics.com/api/access \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hebbianrobotics.com/api/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hebbianrobotics.com/api/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));false{
"capabilities": [],
"scope": {
"kind": "public"
},
"writes_require_admin": true
}{
"code": "<string>",
"message": "<string>"
}access
Get access details.
Returns the organization scope and capabilities granted to the current token.
GET
/
api
/
access
Get access details.
curl --request GET \
--url https://api.hebbianrobotics.com/api/access \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hebbianrobotics.com/api/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hebbianrobotics.com/api/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));false{
"capabilities": [],
"scope": {
"kind": "public"
},
"writes_require_admin": true
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Bearer access token issued through OAuth 2.0 client credentials.
Response
Resolved scope and capabilities
Scope and capabilities granted to the request.
Actions allowed for this token. Customer tokens include view_data.
Action granted to a request.
Available options:
view_data, view_internals, curate_data, export_data, manage_datasets, manage_jobs Data scope used for dataset requests.
- Option 1
- Option 2
Show child attributes
Show child attributes
Whether privileged write endpoints require an admin token.
⌘I
